package com.huimv.manager.service.impl;

import com.huimv.manager.entity.DeviceTempEntity;
import com.huimv.manager.mapper.DeviceTempDao;
import com.huimv.manager.service.DeviceTempService;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 17:22:28
 */
@Service("deviceTempService")
public class DeviceTempServiceImpl extends ServiceImpl<DeviceTempDao, DeviceTempEntity> implements DeviceTempService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DeviceTempEntity> page = this.page(
                new Query<DeviceTempEntity>().getPage(params),
                new QueryWrapper<DeviceTempEntity>()
        );

        return new PageUtils(page);
    }

}